package Nagios::Status::Service;

use Mouse;

use overload '""' => \&stringify;

has 'description'   => ( is => 'ro', isa => 'Str', required => 1 );
has 'state'         => ( is => 'ro', isa => 'Int', required => 1 );
has 'plugin_output' => ( is => 'ro' );

sub stringify { 
  my $self = shift;
  sprintf "%s%s", $self->state == 2 ? '!' : $self->state == 1 ? '*' : '',
                  $self->description;
}

1;

=head1 SYNOPSIS

     $nss = Nagios::Status::Service->new(
        description     => 'kernel',
        state           => 1,
        plugin_output   => 'KERNEL_VERSION WARNING',
     );

     print $nss->description;
     warn if $nss->state;

=cut

